Fix SC2181 ("[ $?") outside tests/

Reviewed-by: John Kennedy <john.kennedy@delphix.com>
Reviewed-by: Brian Behlendorf <behlendorf1@llnl.gov>
Signed-off-by: Ahelenia Ziemiańska <nabijaczleweli@nabijaczleweli.xyz>
Closes #12042
This commit is contained in:
наб
2021-05-14 11:55:17 +02:00
committed by Brian Behlendorf
parent 1d106ab57a
commit 2ca77988a5
11 changed files with 29 additions and 52 deletions
+2 -5
View File
@@ -62,11 +62,8 @@ function usage
function or_die
{
# shellcheck disable=SC2068
$@
# shellcheck disable=SC2181
if [[ $? -ne 0 ]]; then
# shellcheck disable=SC2145
echo "Command failed: $@"
if ! $@; then
echo "Command failed: $*"
exit 1
fi
}